- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
StarObjectSmallGraphicInternal::State Struct Reference

Internal: the state of a StarObjectSmallGraphic. More...

## Public Member Functions
| State ()
| constructor More...

## Public Attributes
shared_ptr< Graphic > | m_graphic
| the graphic object More...

## Detailed Description

Internal: the state of a StarObjectSmallGraphic.

## Constructor & Destructor Documentation

StarObjectSmallGraphicInternal::State::State | ( |  | ) |
| inline

constructor

## Member Data Documentation

shared_ptr<Graphic> StarObjectSmallGraphicInternal::State::m_graphic

the graphic object

The documentation for this struct was generated from the following file:

- StarObjectSmallGraphic.cxx